## SoupContentSniffer

SoupContentSniffer — Content sniffing for SoupSession

## Synopsis

    #include <libsoup/soup.h>

                        SoupContentSniffer;
    SoupContentSniffer * soup_content_sniffer_new           (void);
    char *              soup_content_sniffer_sniff          (SoupContentSniffer *sniffer,
                                                             SoupMessage *msg,
                                                             SoupBuffer *buffer,
                                                             GHashTable **params);

## Object Hierarchy

      GObject
       +----SoupContentSniffer

## Implemented Interfaces

SoupContentSniffer implements SoupSessionFeature.

## Description

A SoupContentSniffer tries to detect the actual content type of the files that are being downloaded by looking at some of the data before the SoupMessage emits its "got-headers" signal. SoupContentSniffer implements SoupSessionFeature, so you can add content sniffing to a session with `soup_session_add_feature()` or `soup_session_add_feature_by_type()`.

## Details

### SoupContentSniffer

    typedef struct _SoupContentSniffer SoupContentSniffer;

### soup_content_sniffer_new ()

    SoupContentSniffer * soup_content_sniffer_new           (void);

Creates a new SoupContentSniffer.

Returns : | a new SoupContentSniffer

Since 2.27.3

### soup_content_sniffer_sniff ()

    char *              soup_content_sniffer_sniff          (SoupContentSniffer *sniffer,
                                                             SoupMessage *msg,
                                                             SoupBuffer *buffer,
                                                             GHashTable **params);

`sniffer` : |
`msg` : |
`buffer` : |
`params` : |
Returns : |